#include "cublas_v2.h"

//--------------------------------------------------------------------------
// function and macro to help diagnose cuBLAS failures.

#define cublasTry(cublasStatus) _cublasTry(cublasStatus, __FILE__, __LINE__)

const char *cublasGetErrorString(cublasStatus_t status);
void _cublasTry(cublasStatus_t cublasStatus, 
		const char *fileName, int lineNumber);


//--------------------------------------------------------------------------
// function and macro to help diagnose CUDA failures.
#define cudaTry(cudaStatus) _cudaTry(cudaStatus, __FILE__, __LINE__)

void _cudaTry(cudaError_t cudaStatus, const char *fileName, int lineNumber);
